<template>
   <div class="container-buttons">
      <div class="play" :class="{'is-active': btn.play.active}" @click="setActive(btn.play)">
         <svg version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg"
              xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
              viewBox="0 0 286.054 286.054" style="enable-background:new 0 0 286.054 286.054;" xml:space="preserve">
<g>
	<path style="fill:grey;" d="M143.027,0.004C64.04,0.004,0,64.036,0,143.022c0,78.996,64.04,143.027,143.027,143.027
		s143.027-64.031,143.027-143.027C286.054,64.045,222.014,0.004,143.027,0.004z M143.027,259.232
		c-64.183,0-116.209-52.026-116.209-116.209s52.026-116.21,116.209-116.21s116.209,52.026,116.209,116.209
		S207.21,259.232,143.027,259.232z M200.863,136.434l-81.856-45.581c-5.962-3.638-11.827-0.706-11.827,6.526v91.367
		c0,7.223,5.864,10.173,11.827,6.517l81.722-44.91C208.31,146.035,205.548,139.071,200.863,136.434z"/>
</g>
            <g>
</g>
            <g>
</g>
            <g>
</g>
            <g>
</g>
            <g>
</g>
            <g>
</g>
            <g>
</g>
            <g>
</g>
            <g>
</g>
            <g>
</g>
            <g>
</g>
            <g>
</g>
            <g>
</g>
            <g>
</g>
            <g>
</g>
</svg>
      </div>
      <div class="pause" :class="{'is-active': btn.pause.active}" @click="setActive(btn.pause)">
         <svg version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg"
              xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
              viewBox="0 0 286.054 286.054" style="enable-background:new 0 0 286.054 286.054;" xml:space="preserve">
<g>
	<path style="fill:grey;" d="M120.679,89.387c-7.411,0-13.409,6.007-13.409,13.409v80.453c0,7.411,5.998,13.409,13.409,13.409
		s13.409-5.998,13.409-13.409v-80.453C134.088,95.394,128.09,89.387,120.679,89.387z M143.027,0.004C64.04,0.004,0,64.036,0,143.022
		c0,78.996,64.04,143.027,143.027,143.027s143.027-64.031,143.027-143.027C286.054,64.045,222.014,0.004,143.027,0.004z
		 M143.027,259.232c-64.183,0-116.209-52.026-116.209-116.209s52.026-116.21,116.209-116.21s116.209,52.026,116.209,116.209
		S207.21,259.232,143.027,259.232z M165.375,89.387c-7.402,0-13.409,6.007-13.409,13.409v80.453c0,7.411,6.007,13.409,13.409,13.409
		s13.409-5.998,13.409-13.409v-80.453C178.784,95.394,172.777,89.387,165.375,89.387z"/>
</g>
            <g>
</g>
            <g>
</g>
            <g>
</g>
            <g>
</g>
            <g>
</g>
            <g>
</g>
            <g>
</g>
            <g>
</g>
            <g>
</g>
            <g>
</g>
            <g>
</g>
            <g>
</g>
            <g>
</g>
            <g>
</g>
            <g>
</g>
</svg>
      </div>
   </div>
</template>

<script>
    export default {
        name: "BtnControl",
        data: function () {
            return {
                btn: {
                    play:
                        {
                            active: false
                        },
                    pause:
                        {
                            active: false
                        }
                }
            }
        },
        methods: {
            setActive(btn) {
                this.btn.play.active = false;
                this.btn.pause.active = false;
                btn.active = true;
                this.$emit('changeStatus', this.btn.play.active)
            }
        }
    }
</script>

<style scoped>
   .container-buttons {
      display: flex;
      justify-content: center;
   }

   .container-buttons div {
      margin: 20px;
      cursor: pointer;
      width: 80px;
      height: 80px;
   }

   .container-buttons div:hover svg path, .container-buttons div.is-active svg path {
      fill: red !important;
   }

   .container-buttons div svg path {
      transition: all 0.4s ease;
   }
</style>